Package com.google.debugging.sourcemap.proto

# Interface Mapping.LineMappingOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Mapping.LineMapping`, `Mapping.LineMapping.Builder`

Enclosing class:
  `Mapping`

public static interface Mapping.LineMappingOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnPosition()`
The column position on the line.
`int`
`getLineNumber()`
The line number of the generated code.
`Mapping.OriginalMapping`
`getOriginalMapping()`
The original mapping for this line mapping.
`Mapping.OriginalMappingOrBuilder`
`getOriginalMappingOrBuilder()`
The original mapping for this line mapping.
`boolean`
`hasColumnPosition()`
The column position on the line.
`boolean`
`hasLineNumber()`
The line number of the generated code.
`boolean`
`hasOriginalMapping()`
The original mapping for this line mapping.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasLineNumber

boolean hasLineNumber()

     The line number of the generated code.

`optional int32 line_number = 1;`

Returns:
  Whether the lineNumber field is set.

### getLineNumber

int getLineNumber()

     The line number of the generated code.

`optional int32 line_number = 1;`

Returns:
  The lineNumber.

### hasColumnPosition

boolean hasColumnPosition()

     The column position on the line.

`optional int32 column_position = 2;`

Returns:
  Whether the columnPosition field is set.

### getColumnPosition

int getColumnPosition()

     The column position on the line.

`optional int32 column_position = 2;`

Returns:
  The columnPosition.

### hasOriginalMapping

boolean hasOriginalMapping()

     The original mapping for this line mapping.

`optional .sourcemap.OriginalMapping original_mapping = 3;`

Returns:
  Whether the originalMapping field is set.

### getOriginalMapping

Mapping.OriginalMapping getOriginalMapping()

     The original mapping for this line mapping.

`optional .sourcemap.OriginalMapping original_mapping = 3;`

Returns:
  The originalMapping.

### getOriginalMappingOrBuilder

Mapping.OriginalMappingOrBuilder getOriginalMappingOrBuilder()

     The original mapping for this line mapping.

`optional .sourcemap.OriginalMapping original_mapping = 3;`